Amdgpu-pro-17.50

I have two RX 580’s mining away using the amdgpu-pro 17.40 driver for linux, but I want to upgrade to 17.50. I don’t know if anybody has done that or what will happen so here goes. I guess I will try the pro version and not the open version first.

well, I got it to work with same hashrate even though it spit this error

dpkg: error processing archive /var/opt/amdgpu-pro-local/./amdgpu-dkms_17.50-511655_all.deb (–unpack):
trying to overwrite ‘/etc/modprobe.d/blacklist-radeon.conf’, which is also in package amdgpu-pro-dkms 17.40-492261

definitely wouldn’t do it again. there were more errors before, maybe mining would have still worked with them.

aaahhh, I’m mining, but I can’t install packages.

as an alternative try this turnkey pendrive mining for amd (baos)

https://ssl.ba.net/banet-miner-os/amd-baos/

includes
new claymore-xmr v11.3 with fork support -pow7
new eth-claymore-dual 11.5
new examples for easy overclock and power limit

so I finally got around to trying to fix my package manager. I ended up upgrading to ubuntu 18.04, and I got the amd drivers version 18.30 to work… but optiminer doesn’t work. It says

[2018-10-04 21:37:23.839] [error] OpenCL error: Failed to list OpenCL platforms! (Unknown OpenCL error -1001)

now it says

[2018-10-04 22:22:48.452] [info] [GPU0] Device info: {“id”: “0/0” “name”: “Elles mere” “platform”: “AMD” “driver”: “2671.3”}
[2018-10-04 22:22:48.537] [error] Build Status: -2
[2018-10-04 22:22:48.537] [error] Build Log:
Error: AMDIL doesn’t support device Ellesmere.
Target is invalid.
Error: Compilation from LLVMIR binary to IL text failed!
[2018-10-04 22:22:48.594] [info] Optiminer/Zcash 1.7.0 © Optiminer 2017